O Emerald é um dos decoradores de janelas mais bonitos e com maior potencial que existe para o Ubuntu. O Emerald é caraterizado por apresentar altos efeitos gráficos nas decorações das janelas, nomeadamente barras de título transparentes, contornos das janelas difusos, botões de gestão de janelas com animações, entre muitos outros aspetos.

Apesar do Emerald ser um excelente decorador de janelas ao nível estético, por ele estar um pouco esquecido pela comunidade que o desenvolve (talvez para produzir o seu sucessor), o novo Ubuntu 11.10 Oneiric Ocelot não o traz nem instalado nem disponível nos repositórios oficiais.

Assim, este artigo explica um método de como você pode voltar este excelente decoradores de janelas que é o Emerald no seu Ubuntu 11.10 Oneiric Ocelot.

Tema do Emerald no Ubuntu 11.10 Oneiric Ocelot

Como o Emerald já foi amplamente discutido e apresentado no Ubuntued, por isso neste artigo não se apresentará as várias funcionalidades dele. Em vez disso, caso você queira saber mais sobre o Emerald, convidamos-lhe a visitar o artigo seguinte:

Emerald, um decorador de janelas incrível!

O método apresentado neste artigo foi descrito no Fórum do Ubuntued pelo Bruno S. Brasil e basicamente funciona perfeitamente mas requer que faça uma das coisas que mais assusta os utilizadores normais: tem de compilar o Emerald.

O procedimento é completamente seguro e o nível de dificuldade é razoavelmente baixo pois você apenas tem de seguir sequencialmente cada ponto apresentado abaixo. O único inconveniente é que esta instalação pode demorar algum tempo em computadores mais antigos, no entanto, acho que o resultado vale a pena!

Por fim, e antes de explicar como se instala o Emerald no Ubuntu 11.10 Oneiric Ocelot, você pode ver o vídeo seguinte que mostra todo o procedimento explicado neste artigo feito no meu computador! Como verá, basta seguir os passos e no final tem o Emerald funcional!

 

Procedimento de instalação do Emerald no Ubuntu 11.10

Tal como referido acima, como o novo Ubuntu não disponibiliza o Emerald nos seus repositórios oficiais, você não tem uma maneira simplificada de o instalar tal como acontecia nos Ubuntus anteriores. Assim, terá de seguir o procedimento explicado abaixo de forma sequencial para garantir que tudo decorra normalmente. Comece por abrir o terminal e utilize-o sempre para todos os comandos para garantir que está na pasta correta.

  • Inicialmente, comece por instalar os pacotes necessários para realizar a compilação e para satisfazer as dependências:
sudo apt-get install git autoconf libtool libwnck1.0-cil-dev libwnck-dev intltool libdecoration0-dev

  • Depois do processo de instalação ter terminado, deverá iniciar o processo de compilação. Assim comece por digitar o comando seguinte para fazer download do código fonte do Emerald versão 0.9.4 (não utilize a versão 0.9.5 pois dá erro ao compilar):
wget http://cgit.compiz.org/fusion/decorators/emerald/snapshot/emerald-0.9.4.tar.gz

Após a transferência terminar (são apenas 300KB), ficará com um novo ficheiro na sua Pasta Pessoal chamado “emerald-0.9.4.tar.gz”.

  • Deverá então descompactá-lo através do comando seguinte:
tar -xf emerald-0.9.4.tar.gz

  • Depois, digite o comando seguinte para entrar na pasta que resultou da descompactação:
cd emerald-0.9.4

  • Agora que está dentro da pasta com o código fonte você apenas precisa de mandar o seu Ubuntu preparar todos os ficheiros, compilar e, por fim, instalar o Emerald. Para tal, copie o comando seguinte para o terminal e aguarde até o processo terminar!
./autogen.sh && make clean && make distclean && ./configure --prefix=/usr && make && gksu make install

Ele irá terminar, ou bem sucedido ou com erro (que esperamos que não aconteça), por isso não termine este processo a meio!! Conforme o computador, a compilação poderá demorar vários minutos! A meio desse processo, será pedida a senha para instalar a aplicação digite e volte a aguardar.

  • Depois de terminar deverá limpar todos os ficheiros temporários que não precisa mais. Para tal digite o comando seguinte no terminal:
cd .. && rm -rf emerald-0.9.4 && rm emerald-0.9.4.tar.gz

Este comando irá apagar os ficheiros resultantes da compilação bem como o ficheiro que transferiu no início que tinha o código fonte do Emerald.

 

Depois deste procedimento você já tem o Emerald instalado e pronto a ser utilizado. Para saber mais pormenores sobre o que fazer após a instalação do Emerald, sugiro-lhe que leia o artigo seguinte depois da secção de instalação:

Emerald, um decorador de janelas incrível!

De forma resumida, nesse artigo é explicado como se instalam temas do Emerald e como se define o Emerald como o decorador de janelas padrão do Ubuntu. Esses pontos são referidos de forma sucinta nas secções seguintes deste artigo.

 

Como instalar temas do Emerald

A primeira coisa que você deve fazer antes de experimentar o Emerald é instalar pelo menos um tema. Para tal deverá recorrer à aplicação para esse propósito que pode ser aberta pelo Unity escrevendo no Dash a palavra “Emerald” ou então através dos menus em Aplicativos →Outros →Emerald Theme Manager.

Quando a aplicação estiver aberta, para instalar um tema apenas precisa de clicar no botão “Import” e depois selecionar um ficheiro tema do Emerald. Onde pode encontrar temas do Emerald? Veja o link seguinte por exemplo:

Temas do Emerald no site Gnome-Look

Como definir o Emerald como decorador padrão

Para definir o Emerald como decorador padrão do Ubuntu, você necessita de utilizar uma aplicação chamada “Gerenciador de configurações do CompizConfig”. Se ainda não conhece esse aplicativo veja este artigo que o apresenta e explica como o instalar:

Gerenciamento das opções do Compiz

No caso de você já o conhecer e apenas o querer instalar, clique no botão seguinte para o instalar ou então escreva o comando seguinte no terminal.

sudo apt-get install compizconfig-settings-manager

Depois da instalação terminar, abra-o escrevendo no Dash do Unity “Gerenciador de configurações do CompizConfig” ou, caso não tenha o Unity, no menu Aplicativos →Outros →“Gerenciador de configurações do CompizConfig”.

Quando estiver aberto, abra as opções de Decoração de Janelas e na opção Comando escreva o seguinte:

emerald --replace

A partir desse momento o Emerald ficará como padrão. Reinicie a sessão ou o Ubuntu e comece a testar este novo decorador de janelas!

Como reverter o Emerald como padrão?

Você definiu o Emerald como decorador de janelas padrão do seu Ubuntu e agora não o quer mais? Então faça o procedimento explicado na secção anterior e, na opção Comando, escreva o seguinte:

/usr/bin/compiz-decorator

20 Respostas ate agora.

  1. Andre Coelho diz:

    Boa noite a todos, ressussitando o post estou com problemas na instalação do emerald… segue abaixo:

    andlcoelho@andlcoelho-Compaq-Presario-CQ42-Notebook-PC:~/emerald-0.9.4$ ./autogen.sh && make clean && make distclean && ./configure –prefix=/usr && make && gksu make install
    autoreconf: Entering directory `.'
    autoreconf: configure.ac: not using Gettext
    autoreconf: running: aclocal
    configure.ac:16: warning: macro `AM_GLIB_GNU_GETTEXT' not found in library
    autoreconf: configure.ac: tracing
    autoreconf: running: libtoolize –install –copy
    libtoolize: Consider adding `AC_CONFIG_MACRO_DIR([m4])' to configure.ac and
    libtoolize: rerunning libtoolize, to keep the correct libtool macros in-tree.
    libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
    configure.ac:16: warning: macro `AM_GLIB_GNU_GETTEXT' not found in library
    autoreconf: running: /usr/bin/autoconf
    autoreconf: running: /usr/bin/autoheader
    autoreconf: running: automake –add-missing –copy –no-force
    configure.ac:6: installing `./missing'
    engines/Makefile.am: installing `./depcomp'
    autoreconf: Leaving directory `.'
    ./autogen.sh: 10: glib-gettextize: not found
    andlcoelho@andlcoelho-Compaq-Presario-CQ42-Notebook-PC:~/emerald-0.9.4$ sudo apt-get install glib-gettextize
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    E: Impossível encontrar o pacote glib-gettextize

  2. Alguém ai sabe como corrigir:

    gleysonlf@desktop:~$ sudo apt-get install libwnck-devLendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    Alguns pacotes não puderam ser instalados. Isto pode significar que
    você solicitou uma situação impossível ou, se você está usando a
    distribuição instável, que alguns pacotes requeridos não foram
    criados ainda ou foram retirados da "Incoming".
    A informação a seguir pode ajudar a resolver a situação:

    Os pacotes a seguir têm dependências desencontradas:
    libwnck-dev : Depende: libglib2.0-dev (>= 2.13.0) mas não será instalado
    Depende: libpango1.0-dev mas não será instalado
    Depende: libgtk2.0-dev (>= 2.19.7) mas não será instalado
    Depende: libcairo2-dev mas não será instalado
    E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.

    • Andersonx21 diz:

      Gleyson tente instalar as depedências como o comando apt-get install que estão depois dos dois-pontos.
      Depende: libglib2.0-dev (>= 2.13.0) mas não será instalado
      Depende: libpango1.0-dev mas não será instalado
      Depende: libgtk2.0-dev (>= 2.19.7) mas não será instalado
      Depende: libcairo2-dev mas não será instalado

  3. Alécio Xavier diz:

    Não consegui ir além da compilação. Veio a mensagem: "Resolvendo ​cgit.​compiz.​org… falhou: Nome ou serviço desconhecido.
    wget: não foi possível resolver endereço de máquina “​cgit.​compiz.​org”.
    Como faço para resolver?
    Abraço.

    Alécio

    • Cláudio Novais diz:

      Isso parece-me falta de Internet! :\

      Você está ligado à internet?

      • Alécio Xavier diz:

        Outra situação que encontro inclusive ao abrir o Synaptic: W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ oneiric/partner amd64 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_oneiric_partner_binary-amd64_Packages)
        W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ oneiric/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_oneiric_partner_binary-i386_Packages)
        W: Você terá que executar apt-get update para corrigir estes problemas
        - A terceira opção (apt-get) surgiu com a instalação do Emerald.
        Não sei resolver isso não.

        Abraço.

        Alécio.

  4. Wagner diz:

    Não consigo nem instalar os pacotes necessários, aparece que depende de pacotes virtuais e não instala.

  5. hugo diz:

    libwnck-dev : Depende: libpango1.0-dev mas não será instalado
    Depende: libgtk2.0-dev (>= 2.19.7) mas não será instalado
    Depende: libcairo2-dev mas não será instalado

  6. Então, segui todos os passos, instalei o esmerald, deu tudo ok, depois instalei o compiz, tudo ok, coloquei uns 3 temas e beleza. Entrei no outro artigo do esmerald e lá falou que para selecionar os temas, é só deixar selecionado o item, ai beleza. só que eae?? deixei selecionado o tema e não mudou. O que será que esta faltando ??? Eu uso tbm o " configurações avançadas", para selecionar os temas no gnome shell 3, será que esta rolando algum conflito ???

  7. Cancela tudo… acabei descobrindo a fonte do problema. Provavelmente devo ter digitado errado o primeiro comando mostrado para baixar as libraries. Uma vez acertado, tudo transcorreu sem problemas.
    De qualquer forma, muito obrigado!

  8. Boas…
    Sou novo no universo linux, portanto algumas coisas para mim ainda soam como grego…
    Já posuo o ccsm e tentei instalar o emerald. Aconteceu justamente o que você disse que poderia ao compilar: mensagem de erro. Segue abaixo o que foi pedido:

    "Please add the files
    codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4
    progtest.m4
    from the /aclocal directory to your autoconf macro directory
    or directly to your aclocal.m4 file.
    You will also need config.guess and config.sub, which you can get from
    ftp://ftp.gnu.org/pub/gnu/config/."

    (…)

    "checking whether byte ordering is bigendian… no
    configure: Using PKG_CONFIG_PATH=NONE/lib/pkgconfig
    checking for pkg-config… /usr/bin/pkg-config
    checking pkg-config is at least version 0.9.0… yes
    checking for EMERALD… no
    configure: error: Package requirements ( xrender >= 0.8.4 gtk+-2.0 >= 2.8.0 libwnck-1.0 libdecoration pangocairo) were not met:

    No package 'gtk+-2.0' found
    No package 'libwnck-1.0' found
    No package 'pangocairo' found

    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.

    Alternatively, you may set the environment variables EMERALD_CFLAGS
    and EMERALD_LIBS to avoid the need to call pkg-config.
    See the pkg-config man page for more details."

    Percebi que alguns pacotes estão faltando. Alguma dica de onde poderia encontrá-los?
    Desde já agradecido.

    • Jean diz:

      Tenta procurar os pacotes que estão faltando no Ubuntu Software Center. Ou então instale o Synaptic (sudo apt-get install synaptic), que é bem melhor porque vc pode marcar e instalar todos os pacotes ao mesmo tempo.

  9. @rairo diz:

    putz, funcionou perfeito…

  10. Nossa! Ficou Sensacional o Artigo!!! :o
    Como dito por um personagem muito surpreendente, chamado Andrew, em um filme que me despertou o amor pela tecnologia…
    “Isto fica feliz em ser útil!” – Homem Bicentenário (1999)

    ^_^

  11. nao to conseguindo instalar dentro do windows… o wubi executa, mas ele nao ta dando o boot….
    ubuntu 11.10
    como faço?

  12. Douglas diz:

    Tive problemas na instalação do Emerald desde a versão anterior 11.04, dai depois de algumas pesquisas, encontrei um artigo em inglês ao qual citei no artigo que escrevi no VOL, com alguns comandos complementares que não foram citados no artigo que pra mim é um pouquinho mais simples :) http://www.vivaolinux.com.br/dica/Como-fazer-o-Em

Deixe um comentario